# ==============================================================================
#									ecs_rfm1 makefile
#FileName：		makefile.ecs_rfm1
#Author:		 xianfeng.du
#Data：			2022-08-10
#Description:	 ecs_rfm1 top makefile
# ==============================================================================
VERSION = 1.00

# ==============================================================================
# include common makefile Rules
# ==============================================================================
include $(MAKE_DIR)/makefile.config
include $(MAKE_DIR)/makefile.toolchain

# ==============================================================================
# files DIR definition
# ==============================================================================
DIRS_LIB_FOLDER += $(DIR_LIB)/rfm_spu

LD_FLAGS        += -linterrupt

#LINK_FILE      := $(UCP_INC)/ECS_RFM-spu1-noCache.ld
#LINK_FILE       := $(DIR_MAKE)/rfm-spu1-noCache.ld
LINK_FILE       := $(DIR_MAKE)/ld/ecs-rfm-spu1-Cache128.ld

DIRS_SRC_FOLDER += $(DIR_COMMON)/ecs_dm
DIRS_SRC_FOLDER += $(DIR_COMMON)/app
DIRS_SRC_FOLDER += $(DIR_ECS_SPU1)/top
DIRS_SRC_FOLDER += $(DIR_ECS_SPU1)/driver
DIRS_SRC_FOLDER += $(DIR_ECS_SPU1)/platform
#DIRS_SRC_FOLDER += $(BOARD_DIR)/driver
#$(info "BOARD_DIR=" $(BOARD_DIR))

# Allow certain files to be excluded from the build
TOP_SRC_FILE  := $(DIR_ECS_SPU1)/top/src/phy_init.s.c
#EXCL_SRCS_FILES := $(TOP_SRC_FILE)

# ==============================================================================
# common: Output Files and Compilation Rules
# ==============================================================================
ifeq ($(fronthaul_option),cpri)
    DEFINES += DISTRIBUTED_BS
else ifeq ($(fronthaul_option),ecpri)
    DEFINES += ECPRI_DISTRIBUTED_BS
    DEFINES += ECS_RFM1
else ifeq ($(fronthaul_option),jesd)   
    DEFINES += INTEGRATED_BS
else
    $(info "error fronthaul_option=" $(fronthaul_option))
endif

ifeq ($(test_option),yes)
    DEFINES += TEST_ENABLE
    include $(MAKE_DIR)/makefile.test_fh
endif

include $(MAKE_DIR)/makefile.common
